package pps.core.middle.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import pps.cloud.middle.service.IThirdCurrentWellConditionCloudService;
import pps.cloud.middle.service.data.third_current_well_condition.GetThirdCurrentWellConditionInput;
import pps.cloud.middle.service.data.third_current_well_condition.GetThirdCurrentWellConditionOutput;
import pps.core.middle.entity.ThirdCurrentWellConditionEnt;
import pps.core.middle.mapper.ThirdCurrentWellConditionMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.List;

/**
 * 井口状态
 *
 * @author ZWT
 * @date 2024/10/19 16:22
 */
@XService
public class ThirdCurrentWellConditionCloudServiceImpl implements IThirdCurrentWellConditionCloudService {

    @Override
    public XListResult<GetThirdCurrentWellConditionOutput> getCurrentWellConditionList(XContext context, GetThirdCurrentWellConditionInput input) {
        ThirdCurrentWellConditionMapper mapper = context.getBean(ThirdCurrentWellConditionMapper.class);
        List<ThirdCurrentWellConditionEnt> list = mapper.selectList(new LambdaQueryWrapper<>());
        return XListResult.success(XCopyUtils.copyNewList(list, GetThirdCurrentWellConditionOutput.class));
    }
}
